Bug 134234 - First cman node always gets nodeid of 1, cannot be overridden
First cman node always gets nodeid of 1, cannot be overridden
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-30 10:20 EDT by Derek Anderson
Modified: 2010-01-11 21:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 12:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-09-30 10:20:38 EDT
Description of problem:
Have three nodes link-10, link-11, link-12 join cman with nodeids of
10, 11, and 12 respectively and in that order.  The first node to join
gets nodeid 1.

[root@link-12 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    3   M   link-10
  11    1    3   M   link-11
  12    1    3   M   link-12

Version-Release number of selected component (if applicable):
[root@link-12 root]# cman_tool -V
cman_tool DEVEL.1096551928 (built Sep 30 2004 08:46:38)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
Yes.

Steps to Reproduce:
1. Run cman_tool join -N 5 on the first node to join the cluster
2. Join another node
3. The first node to join gets nodeid 1, not the id specified on the
command line.
  
Actual results:
Gets 1.


Expected results:
Gets what was specified.

Additional info:
Comment 1 Christine Caulfield 2004-09-30 10:59:16 EDT
expunged a hard-coded 1

Checking in membership.c;
/cvs/cluster/cluster/cman-kernel/src/membership.c,v  <--  membership.c
new revision: 1.24; previous revision: 1.23
done
Comment 2 Derek Anderson 2004-09-30 12:15:01 EDT
Verified:

[root@link-10 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   6    1    3   M   link-12
   8    1    3   M   link-11
  10    1    3   M   link-10
Comment 3 Kiersten (Kerri) Anderson 2004-11-16 14:06:45 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.